{
  lib,
  ...
}:

{
  imports = [ ];

  options.me.buildingPortable = lib.mkOption {
    type = lib.types.bool;
    default = false;
    example = true;
    description = "Whether we are building a portable image (iso/sd). This would disable CPU-specific optimizations and persistent file mounts.";
  };

  options.me.mountPersistence = lib.mkOption {
    type = lib.types.bool;
    default = false;
    example = true;
    description = "Whether we should mount persistent directories.";
  };
}
